diff --git a/python/CMakeLists.txt b/python/CMakeLists.txt
index ee4a6b2..56aea69 100644
--- a/python/CMakeLists.txt
+++ b/python/CMakeLists.txt
@@ -64,6 +64,10 @@ if (NOT DEFINED ${Boost_PYTHON310-MT_LIBRARY})
   set(Boost_PYTHON310-MT_LIBRARY ${Boost_PYTHON310_LIBRARY})
 endif()
 
+if (NOT DEFINED ${Boost_PYTHON311-MT_LIBRARY})
+  set(Boost_PYTHON311-MT_LIBRARY ${Boost_PYTHON311_LIBRARY})
+endif()
+
 # Try all possible boost-python variable namings
 set(PYTHON_WRAPPER_LIBS ${Boost_PYTHON_LIBRARY}
                         ${Boost_PYTHON3_LIBRARY}
@@ -75,6 +79,7 @@ set(PYTHON_WRAPPER_LIBS ${Boost_PYTHON_LIBRARY}
                         ${Boost_PYTHON38_LIBRARY}
                         ${Boost_PYTHON39_LIBRARY}
                         ${Boost_PYTHON310_LIBRARY}
+                        ${Boost_PYTHON311_LIBRARY}
     )
 
 if (APPLE)
@@ -93,6 +98,9 @@ if (APPLE)
     if (Boost_PYTHON310-MT_LIBRARY_RELEASE)
         set(PYTHON_WRAPPER_LIBS ${PYTHON_WRAPPER_LIBS} ${Boost_PYTHON310-MT_LIBRARY_RELEASE})
     endif ()
+    if (Boost_PYTHON311-MT_LIBRARY_RELEASE)
+        set(PYTHON_WRAPPER_LIBS ${PYTHON_WRAPPER_LIBS} ${Boost_PYTHON311-MT_LIBRARY_RELEASE})
+    endif ()
 endif()
 
 message(STATUS "Using Boost Python libs: ${PYTHON_WRAPPER_LIBS}")
